Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.sslsocket
Class SSLSocketServerInvoker

    java.lang.Object
      org.jboss.remoting.AbstractInvoker
          org.jboss.remoting.ServerInvoker
              org.jboss.remoting.transport.socket.SocketServerInvoker
                  org.jboss.remoting.transport.sslsocket.SSLSocketServerInvoker

All Implemented Interfaces:
  java.lang.Runnable, Invoker, ServerInvokerMBean, SocketServerInvokerMBean, SSLSocketServerInvokerMBean

    public class SSLSocketServerInvoker

extends SocketServerInvoker
implements SSLSocketServerInvokerMBean

Author:
  Tom Elrod

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.remoting.transport.socket.SocketServerInvoker
`SocketServerInvoker.IdleTimerTask, SocketServerInvoker.ServerSocketRefresh`

Nested classes/interfaces inherited from class org.jboss.remoting.ServerInvoker
`ServerInvoker.InvalidStateException`

Nested classes/interfaces inherited from class org.jboss.remoting.AbstractInvoker
`AbstractInvoker.CallbackLocatorHolder`

Field Summary

Fields inherited from class org.jboss.remoting.transport.socket.SocketServerInvoker
`acceptThreads, backlog, CHECK_CONNECTION_KEY, clientpool, idleTimeout, idleTimerTask, MAX_POOL_SIZE_DEFAULT, maxPoolSize, newServerSocketFactory, numAcceptThreads, reuseAddress, running, SERVER_SOCKET_CLASS_FLAG, serverSocket, serverSocketClass, serverSocketFactoryLock, threadpool`

Fields inherited from class org.jboss.remoting.ServerInvoker
`BLOCKING, BLOCKING_MODE, BLOCKING_TIMEOUT, callbackHandlers, CLIENT_CONNECT_ADDRESS_KEY, CLIENT_CONNECT_PORT_KEY, CLIENT_LEASE_PERIOD, clientCallbackListener, connectionNotifier, DEFAULT_BLOCKING_TIMEOUT, DEFAULT_CLIENT_LEASE_PERIOD, DEFAULT_TIMEOUT_PERIOD, handlers, INVOKER_SESSION_ID, MAX_NUM_ONEWAY_THREADS, MAX_NUM_ONEWAY_THREADS_KEY, MAX_ONEWAY_THREAD_POOL_QUEUE_SIZE, NONBLOCKING, ONEWAY_THREAD_POOL_CLASS_KEY, REGISTER_CALLBACK_LISTENER, registerCallbackListeners, SERVER_BIND_ADDRESS_KEY, SERVER_BIND_PORT_KEY, SERVER_SOCKET_FACTORY, serverSocketFactory, singleCallbackContainer, singleHandler, started, TIMEOUT`

Fields inherited from class org.jboss.remoting.AbstractInvoker
`classbyteloader, configuration, localServerLocators, locator, serializationType, socketFactory, socketFactoryCreatedFromSSLParameters`

Constructor Summary
`SSLSocketServerInvoker(InvokerLocator locator)`
`SSLSocketServerInvoker(InvokerLocator locator, java.util.Map configuration)`

Method Summary
`protected java.net.ServerSocket` | `createServerSocket(int serverBindPort, int backlog, java.net.InetAddress bindAddress)`
`protected javax.net.ServerSocketFactory` | `getDefaultServerSocketFactory()` Gets the default server socket factory to use for the server invoker.

Methods inherited from class org.jboss.remoting.transport.socket.SocketServerInvoker
`cleanup, destroy, finalize, getBacklog, getCurrentClientPoolSize, getCurrentThreadPoolSize, getDefaultDataType, getIdleTimeout, getMaxPoolSize, getNumAcceptThreads, getReuseAddress, getThreadName, isTransportBiDirectional, processInvocation, refreshServerSocket, run, setBacklog, setIdleTimeout, setMaxPoolSize, setNewServerSocketFactory, setNumAcceptThreads, setReuseAddress, setup, start, stop, toString`

Methods inherited from class org.jboss.remoting.ServerInvoker
`addConnectionListener, addInvocationHandler, assignPort, create, createServerSocketFactory, getClientConnectAddress, getClientConnectPort, getConfiguration, getDataType, getInvocationHandler, getInvocationHandlers, getLease, getLeasePeriod, getMaxNumberOfOnewayThreads, getMBeanObjectName, getMBeanServer, getOnewayThreadPool, getServerBindAddress, getServerBindPort, getServerSocketFactory, getSupportedSubsystems, getTimeout, handleInternalInvocation, hasInvocationHandler, invoke, invoke, isLeaseActivated, isRegisterCallbackListeners, isStarted, justNeedsSSLClientMode, postProcess, preProcess, removeCallbackListener, removeConnectionListener, removeInvocationHandler, setClientConnectAddress, setClientConnectPort, setConfiguration, setLeasePeriod, setMaxNumberOfOnewayThreads, setMBeanServer, setOnewayThreadPool, setRegisterCallbackListeners, setServerSocketFactory, setTimeout, wrapServerSocketFactory`

Methods inherited from class org.jboss.remoting.AbstractInvoker
`addClientLocator, createSocketFactory, getClassLoader, getClientLocator, getClientLocators, getLocator, getSerializationType, getSocketFactory, isCompleteSocketFactory, isSocketFactoryCreatedFromSSLParameters, needsCustomSSLConfiguration, setClassLoader, setSerializationType, setSocketFactory, wrapSocketFactory`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.remoting.transport.sslsocket.SSLSocketServerInvokerMBean
`setServerSocketFactory`

Methods inherited from interface org.jboss.remoting.transport.socket.SocketServerInvokerMBean
`getBacklog, getCurrentClientPoolSize, getCurrentThreadPoolSize, getMaxPoolSize, getNumAcceptThreads, getServerBindPort, setBacklog, setMaxPoolSize, setNumAcceptThreads, start, stop`

Methods inherited from interface org.jboss.remoting.ServerInvokerMBean
`create, destroy, getClientConnectAddress, getClientConnectPort, getConfiguration, getDataType, getServerBindAddress, getTimeout, isStarted, isTransportBiDirectional, setClientConnectAddress, setClientConnectPort, setConfiguration, setTimeout`

Constructor Detail

### SSLSocketServerInvoker

    public SSLSocketServerInvoker(InvokerLocator locator)

### SSLSocketServerInvoker

    public SSLSocketServerInvoker(InvokerLocator locator,
                                  java.util.Map configuration)

Method Detail

### getDefaultServerSocketFactory

    protected javax.net.ServerSocketFactory getDefaultServerSocketFactory()

  Description copied from class: `ServerInvoker`
  Gets the default server socket factory to use for the server invoker. The intention is this method will be overridden by sub-classes for their specific defaults.

  Overrides:
    `getDefaultServerSocketFactory` in class `ServerInvoker`

### createServerSocket

    protected java.net.ServerSocket createServerSocket(int serverBindPort,
                                                       int backlog,
                                                       java.net.InetAddress bindAddress)
                                                throws java.io.IOException

  Overrides:
    `createServerSocket` in class `SocketServerInvoker`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.